Incantory
Sign in

Leaderboards API

1 operation. Authentication, errors and pagination work as described in the REST API overview.

Leaderboards

GET/api/v1/leaderboardsPublic

board=overall (reputation points), kind (stars received on prompts of kind), tag (stars on prompts tagged tag) or makes (makes published). period=month (current UTC month, default), YYYY-MM or all. Keyset cursor; cached for a minute.

getLeaderboard parameters
NameTypeDescription
board query"overall" | "kind" | "tag" | "makes"
kind query"text" | "chat" | "image" | "video" | "skill" | "rules" | "agent"
tag querystring
period query"month" | "all" | string
cursor querystring
limit queryinteger (1–100)

Responses: 200 OK304, 400, 404, 429

Response fields
getLeaderboard response fields
NameTypeDescription
itemsrequiredobject[]
nextCursorrequiredstring | nullOpaque cursor for the next page; null at the end
boardrequired"overall" | "kind" | "tag" | "makes"
periodrequiredstring
periodLabelrequiredstring
kindrequiredstring | null
tagrequiredstring | null
Example
curl 'https://incantory.ai/api/v1/leaderboards'